Bug 1376635 - Review Request: ostrichriders - Knights flying on ostriches compete against other riders
Summary: Review Request: ostrichriders - Knights flying on ostriches compete against o...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-09-16 02:18 UTC by Dennis Payne
Modified: 2017-07-17 04:53 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-17 04:53:02 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Dennis Payne 2016-09-16 02:18:14 UTC
Spec URL: https://github.com/dulsi/ostrichriders/raw/master/ostrichriders.spec
SRPM URL: http://identicalsoftware.com/ostrichriders/ostrichriders-0.6.4-1.fc24.src.rpm
Description: Enemy knights are invading the kingdom. As one of the elite ostrich riders,
it is your duty to defend the kingdom. With lance in hand you fly off.
Remember to stay above your opponent least you fall to his lance. Collect the
eggs least your opponent hatches stronger than before. Work together with
other knights.
Fedora Account System Username: dulsi

Comment 1 Andrea Musuruane 2016-09-16 08:54:41 UTC
I had a quick glance at the spec file and I noticed the following issues:

- you can drop the Group tag
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

- you must Requires: hicolor-icon-theme because you install files in %{_datadir}/icons/hicolor/

- you may change "make %{?_smp_mflags}" in %make_build

- you may change "make DESTDIR=%{buildroot} PREFIX=%{_prefix} install" in "%make_install PREFIX=%{_prefix}"

- you must remove LICENCE from %doc and add it to %license
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

- you must run appstream-util validate-relax (in %check or %install) and have BuildRequires: libappstream-glib
https://fedoraproject.org/wiki/Packaging:AppData#app-data-validate_usage

Comment 2 Gwyn Ciesla 2016-09-16 12:50:51 UTC
- rpmlint checks return:

ostrichriders.x86_64: W: no-manual-page-for-binary ostrichriders
Each executable in standard binary directories should have a man page.

Nice to have but not critical.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv3+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So, it's just the things Andrea called out.

Comment 3 Dennis Payne 2016-09-17 02:38:56 UTC
Spec URL: https://github.com/dulsi/ostrichriders/raw/master/ostrichriders.spec
SRPM URL: http://identicalsoftware.com/ostrichriders/ostrichriders-0.6.4-2.fc24.src.rpm

I've left in the group for now but did the other changes. I'm not sure I agree with the hicolor-icon-theme requirement. I found this discussion of it:

https://fedorahosted.org/fpc/ticket/632

In the end I decided to just add it as I don't feel it matters enough.

Comment 4 Andrew Toskin 2017-03-06 22:36:48 UTC
What's the status on ostrichriders?

I'm looking to do package reviews as part of joining the official packagers group. I'm also just interested in adding more games to Fedora. So I can help get this moving again, if you're still interested in maintaining this package.

Comment 5 Dennis Payne 2017-03-07 13:25:30 UTC
To my knowledge, all review issues have been fixed and I'm just waiting for it to be approved.

Comment 6 Gwyn Ciesla 2017-03-07 13:37:44 UTC
Wow, I'm so sorry, I missed the above. . .for 6 months.  

Looks great, APPROVED.

Comment 7 Andrea Musuruane 2017-07-14 15:51:29 UTC
Dennis, can you go on with the process and make an SCM admin request?
https://fedoraproject.org/wiki/Package_Review_Process

Comment 8 Gwyn Ciesla 2017-07-14 17:56:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ostrichriders

Comment 9 Fedora Update System 2017-07-14 21:30:13 UTC
ostrichriders-0.6.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0de7a42c6d

Comment 10 Fedora Update System 2017-07-16 21:21:47 UTC
ostrichriders-0.6.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0de7a42c6d

Comment 11 Fedora Update System 2017-07-17 04:53:02 UTC
ostrichriders-0.6.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.